Bug 733449 - FormatDestroyError: error wiping old signatures from /dev/sda3: 1
Summary: FormatDestroyError: error wiping old signatures from /dev/sda3: 1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:67f90be8e798e446dd9e7e7fc7f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 18:08 UTC by David Lehman
Modified: 2012-01-20 16:40 UTC (History)
8 users (show)

Fixed In Version: anaconda-16.17-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 19:39:07 UTC


Attachments (Terms of Use)
crash report (366.46 KB, text/plain)
2011-08-25 18:13 UTC, David Lehman
no flags Details
log file of failure to wipe and create disk partitions. (1.04 MB, text/plain)
2011-09-15 00:40 UTC, kevin martin
no flags Details
traceback from anaconda crash (522.14 KB, text/plain)
2011-09-16 15:40 UTC, Tim Flink
no flags Details
Comment (313.39 KB, text/plain)
2012-01-19 17:03 UTC, Dave Knight
no flags Details

Description David Lehman 2011-08-25 18:08:33 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: anaconda
kernel:         3.0.0-1.fc16.x86_64
product:        Fedora
reason:         FormatDestroyError: error wiping old signatures from /dev/sda3: 1
time:           Thu Aug 25 14:07:59 2011
version:        16-Alpha

description:
:The following was filed automatically by anaconda:
:anaconda 16.14.6 exception report
:Traceback (most recent call first):
:  File "/tmp/updates/pyanaconda/storage/formats/__init__.py", line 313, in destroy
:    raise FormatDestroyError(msg)
:  File "/tmp/updates/pyanaconda/storage/devices.py", line 1490, in _postCreate
:    DeviceFormat(device=self.path, exists=True).destroy()
:  File "/tmp/updates/pyanaconda/storage/devices.py", line 795, in create
:    self._postCreate()
:  File "/tmp/updates/pyanaconda/storage/deviceaction.py", line 241, in execute
:    self.device.create(intf=intf)
:  File "/tmp/updates/pyanaconda/storage/devicetree.py", line 316, in processActions
:    action.execute(intf=self.intf)
:  File "/tmp/updates/pyanaconda/storage/__init__.py", line 388, in doIt
:    self.devicetree.processActions()
:  File "/tmp/updates/pyanaconda/packages.py", line 122, in turnOnFilesystems
:    anaconda.storage.doIt()
:  File "/tmp/updates/pyanaconda/dispatch.py", line 375, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/tmp/updates/pyanaconda/dispatch.py", line 243, in go_forward
:    self.dispatch()
:  File "/tmp/updates/pyanaconda/gui.py", line 1203, in nextClicked
:    self.anaconda.dispatch.go_forward()
:FormatDestroyError: error wiping old signatures from /dev/sda3: 1

Comment 1 David Lehman 2011-08-25 18:13:26 UTC
Created attachment 519950 [details]
crash report

I removed the /boot partition when reviewing autopart results to try testing booting with lvm stage2.

Since sda3 was a pv for the system vg it was marked as immutable and was not re-allocated. When actually allocating the partition it ends up as sda2 and the format still thinks it should be sda3. Another case for always setting formats' paths from devices' _postSetup methods.

Comment 2 Fedora Update System 2011-09-08 17:28:51 UTC
anaconda-16.17-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.17-1.fc16

Comment 3 Fedora Update System 2011-09-08 20:49:54 UTC
Package anaconda-16.17-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-16.17-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/anaconda-16.17-1.fc16
then log in and leave karma (feedback).

Comment 4 kevin martin 2011-09-15 00:40:46 UTC
Created attachment 523280 [details]
log file of failure to wipe and create disk partitions.

Patched anaconda does not fix the problem.  I've attempted to install both the F16 Beta iso from DVD and the F16 Beta LXDE spin iso from cd (both x86_64 versions) with no success.  They both failed when trying to wipe/create the partitions.  Doesn't matter if I take the default layout or try a special layout.  In both cases I've turned off "Use LVM".

Comment 5 Tim Flink 2011-09-16 06:16:07 UTC
I hit this in anaconda-16.18-1 (beta RC1) and using the updates.img from #737916

Comment 6 David Lehman 2011-09-16 13:35:12 UTC
(In reply to comment #5)
> I hit this in anaconda-16.18-1 (beta RC1) and using the updates.img from
> #737916

Can you attach the anaconda-tb- file?

Comment 7 Tim Flink 2011-09-16 15:40:00 UTC
Created attachment 523577 [details]
traceback from anaconda crash

Comment 8 Fedora Update System 2011-09-30 19:38:33 UTC
anaconda-16.17-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Dave Knight 2012-01-19 16:44:06 UTC
Having this problem with LiveCD downloaded around 2012-01-14.  This time I have save the /tmp/*.log files, and will attache them as a tar file when given the opportunity.

Comment 10 Dave Knight 2012-01-19 17:03:27 UTC
Created attachment 915407 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).

Comment 11 Dave Knight 2012-01-20 16:40:52 UTC
Reinstall using a "creative" workaround:

   Choose "Use all space" on the BIOS-raid disk

did not get into this state.  It completed, and system booted OK.


Note You need to log in before you can comment on or make changes to this bug.